Page MenuHomePhabricator

Support text encoding and syntax highlighting options in document rendering
ClosedPublic

Authored by epriestley on Mar 30 2018, 6:15 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Aug 8, 7:10 PM
Unknown Object (File)
Fri, Jul 29, 6:11 AM
Unknown Object (File)
Tue, Jul 26, 9:14 AM
Unknown Object (File)
Mon, Jul 18, 3:34 AM
Unknown Object (File)
Mon, Jul 18, 3:34 AM
Unknown Object (File)
Mon, Jul 18, 3:34 AM
Unknown Object (File)
Jun 24 2022, 8:52 AM
Unknown Object (File)
Jun 11 2022, 3:32 AM
Subscribers
None

Details

Summary

Depends on D19273. Ref T13105. Adds "Change Text Encoding..." and "Highlight As..." options when rendering documents, and makes an effort to automatically detect and handle text encoding.

Test Plan
  • Uploaded a Shift-JIS file, saw it auto-detect as Shift-JIS.
  • Converted files between encodings.
  • Highlighted various things as "Rainbow", etc.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Mar 30 2018, 6:28 PM
This revision was automatically updated to reflect the committed changes.